Package org.eclipse.rdf4j.sail.shacl.ast.planNodes

## Class DebugPlanNode

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.planNodes.DebugPlanNode

- All Implemented Interfaces:
    `PlanNode`

      public class DebugPlanNode
      extends Object
      implements PlanNode

  Used for adding a custom log statement to tuples as they pass through. Should only be used for debugging.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DebugPlanNode​(PlanNode parent, String message)` |
    `DebugPlanNode​(PlanNode parent, String message, Consumer<ValidationTuple> debugPoint)` |
    `DebugPlanNode​(PlanNode parent, Consumer<ValidationTuple> debugPoint)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `depth()` |
    `String` | `getId()` |
    `void` | `getPlanAsGraphvizDot​(StringBuilder stringBuilder)` |
    `CloseableIteration<? extends ValidationTuple,​SailException>` | `iterator()` |
    `boolean` | `producesSorted()` |
    `void` | `receiveLogger​(ValidationExecutionLogger validationExecutionLogger)` |
    `boolean` | `requiresSorted()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugPlanNode

          public DebugPlanNode​(PlanNode parent,
                               String message,
                               Consumer<ValidationTuple> debugPoint)

    - #### DebugPlanNode

          public DebugPlanNode​(PlanNode parent,
                               String message)

    - #### DebugPlanNode

          public DebugPlanNode​(PlanNode parent,
                               Consumer<ValidationTuple> debugPoint)

  - ### Method Detail

    - #### iterator

          public CloseableIteration<? extends ValidationTuple,​SailException> iterator()

      Specified by:
        `iterator` in interface `PlanNode`

    - #### depth

          public int depth()

      Specified by:
        `depth` in interface `PlanNode`

    - #### getPlanAsGraphvizDot

          public void getPlanAsGraphvizDot​(StringBuilder stringBuilder)

      Specified by:
        `getPlanAsGraphvizDot` in interface `PlanNode`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `PlanNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### receiveLogger

          public void receiveLogger​(ValidationExecutionLogger validationExecutionLogger)

      Specified by:
        `receiveLogger` in interface `PlanNode`

    - #### producesSorted

          public boolean producesSorted()

      Specified by:
        `producesSorted` in interface `PlanNode`

    - #### requiresSorted

          public boolean requiresSorted()

      Specified by:
        `requiresSorted` in interface `PlanNode`